diff -ur a/CMakeLists.txt b/CMakeLists.txt
--- a/CMakeLists.txt	2011-11-15 20:45:18.489761996 +0100
+++ b/CMakeLists.txt	2011-11-15 20:38:03.809065945 +0100
@@ -141,6 +141,7 @@
    macro_optional_add_subdirectory( powerdevil )
    macro_optional_add_subdirectory( qguiplatformplugin_kde )
    macro_optional_add_subdirectory( ksysguard )
+   macro_optional_add_subdirectory(kstartupconfig)
 endif(NOT WIN32)
 
 if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
diff -ur a/libs/CMakeLists.txt b/libs/CMakeLists.txt
--- a/libs/CMakeLists.txt	2011-11-15 15:42:40.480976993 +0100
+++ b/libs/CMakeLists.txt	2011-11-15 20:34:48.227758712 +0100
@@ -3,11 +3,11 @@
 add_subdirectory(oxygen)
 add_subdirectory(plasmaclock)
 add_subdirectory(solid)
+add_subdirectory(taskmanager)
 
 if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
    add_subdirectory(kdm)
    add_subdirectory(plasmagenericshell)
-   add_subdirectory(taskmanager)
 endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
 
 if(NOT WIN32)
diff -ur a/libs/kephal/CMakeLists.txt b/libs/kephal/CMakeLists.txt
--- a/libs/kephal/CMakeLists.txt	2011-11-15 15:42:40.481976985 +0100
+++ b/libs/kephal/CMakeLists.txt	2011-11-15 20:34:48.227758712 +0100
@@ -1,5 +1,4 @@
 PROJECT (kephal)
 ADD_SUBDIRECTORY(client)
 ADD_SUBDIRECTORY(service)
-ADD_SUBDIRECTORY(tests)
 
diff -ur a/libs/taskmanager/CMakeLists.txt b/libs/taskmanager/CMakeLists.txt
--- a/libs/taskmanager/CMakeLists.txt	2011-11-15 15:42:40.514976727 +0100
+++ b/libs/taskmanager/CMakeLists.txt	2011-11-15 20:34:48.228758702 +0100
@@ -47,10 +47,8 @@
   target_link_libraries(taskmanager ${X11_Xcomposite_LIB})
 endif (X11_Xcomposite_FOUND)
 
-if (NOT KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)
-    include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kephal)
-    target_link_libraries(taskmanager kephal)
- endif (NOT KDE_PLATFORM_FEATURE_BINARY_COMPATIBLE_FEATURE_REDUCTION)
+include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kephal)
+target_link_libraries(taskmanager kephal)
 
 target_link_libraries(taskmanager kworkspace)
 
diff --git a/plasma/generic/dataengines/CMakeLists.txt b/plasma/generic/dataengines/CMakeLists.txt
index 209fe79..3413ad0 100644
--- a/plasma/generic/dataengines/CMakeLists.txt
+++ b/plasma/generic/dataengines/CMakeLists.txt
@@ -35,8 +35,6 @@ endif(Boost_FOUND AND KDEPIMLIBS_FOUND)
 if(NOT WIN32)
    add_subdirectory(mouse)
    add_subdirectory(systemmonitor)
-   if(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
-      add_subdirectory(tasks)
-   endif(${KDE_PLATFORM_PROFILE} STREQUAL "Desktop")
+   add_subdirectory(tasks)
 endif(NOT WIN32)
